package com.crm.custom.dao.mapper;

import com.crm.rely.backend.model.dto.golden.order.GoldenOrderDetailsDto;
import com.crm.rely.backend.model.entity.golden.order.GoldenOrderSearchEntity;
import com.crm.rely.backend.model.pojo.table.GoldenOrderDetailsTable;
import com.crm.rely.backend.model.pojo.table.GoldenOrderTable;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GoldenOrderMapper {

    Integer countList(GoldenOrderSearchEntity entity);

    List<GoldenOrderTable> pageList(GoldenOrderSearchEntity entity);

    List<GoldenOrderDetailsDto> getListBySerial(@Param("serialList") List<String> serialList);

    GoldenOrderDetailsTable getByCustomIdAndGoodsId(@Param("customId")Long customId, @Param("goodsId")Long goodsId);

}
